{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Exibir Bancos</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
		<i class="fas fa-table"></i>
		Bancos
	</div>
	
	<div class="container">
	<a href="cadastrar-banco" width='100%'><button class="btn btn-primary mb-5" style="width: 800; margin-left: 86%">Cadastrar Banco</button></a>
	<!-- <div id="lista_bancos" class="row mb-4" style="align-items: center; justify-content: center; margin-left: 5%">
			<form action="listar-banco" method="POST" class="row">
				{%csrf_token %}
				<h6 class="mr-3 mt-2" style="align-self: center;">Selecione um banco:</h6>
				<select style="align-self: center;width: 40%;" class="mt" name="id">
					<option value="0">Todos os bancos</option>
					{% for banco in bancos %}
						{% if banco.id == id_banco %}	
							<option value="{{banco.id}}" selected>{{banco.nome}}</option>
						{% else %}
							<option value="{{banco.id}}">{{banco.nome}}</option>
						{% endif %}
					{% endfor %}
				</select>
				<input type="submit" value="Buscar" class='btn-sucess' style="width: 30%; margin-left: 20%"/>
		</form>
	</div> -->
	<div class="row justify-content-center" style="width: 100%">
			{% csrf_token %}
			<div id="no-more-tables" style="width: 100%">
				<table class="table-bordered table table-striped table-condensed cf" id="dataTable">
					<thead>
						<tr role="row">
							<th class="sorting_asc" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Nome: activate to sort column descending" style="width: 200px;">
								Número
							</th>
							<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Projeto: activate to sort column ascending" style="width: 200px;">
								Nome
							</th>
							<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliado: activate to sort column ascending" style="width: 20px;">
								Editar
							</th>
						</tr>
					</thead>
					<tbody> 
						{% for banco in bancos %}
							<tr role="row" class="odd" style="align-items: center; text-justify: initial">
								<td data-title="Número" class="sorting_1 justify-content-center">{{ banco.id }}</td>
								<td data-title="Nome">{{ banco.descricao }}</td>
								<td data-title="Editar" style="align-items: center; justify-content: center" class="text-center"><a href="editar-banco?id={{banco.id}}&l=0"><i class="fas fa-pen"></i></td>
							</tr>
						{% endfor %}  
					</tbody>
				</table>
			</div>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}